<!DOCTYPE HTML> 
<html>
<head>
     <meta charset="UTF-8">
     <title>PHP Example 2</title>
</head>
<body> 
<?php
$name = $vote = $comment = $errormsg = $flag = "";  //Initialize variable to empty
if ($_SERVER["REQUEST_METHOD"] == "POST") {         //Execute if form was posted
	$flag = true;
	if (empty($_POST["name"]))  {               //Check for empty field
		$errormsg .= " Name is required. "; //Append to error message
	}  else  {
		$name = test_input($_POST["name"]); //or capture field in variable
	}
	if (empty($_POST["vote"]))  {
		$errormsg .= " Vote is required. ";
	}  else  {
		$vote = test_input($_POST["vote"]);
	}
	if (empty($_POST["comment"]))  {
		$errormsg .= "";
	}  else  {
		$comment = test_input($_POST["comment"]);
	}
}
function test_input($data) {                         //Trim off extra characters
	$data = trim($data);
	$data = stripslashes($data);
	$data = htmlspecialchars($data);
	return $data;
}
?>
<h1>PHP Form Example</h1>
<form method="post" action="<?php echo htmlspecialchars($_SERVER["PHP_SELF"]);?>"> 
     Name: <input type="text" name="name" value="<?php echo $name; ?>">
     <br><br>
     Do you support ballot proposition 12?
     <input type="radio" name="vote" <?php if (isset($vote) && $vote=="yes") echo "checked"; ?> value="yes">Yes
     <input type="radio" name="vote" <?php if (isset($vote) && $vote=="no") echo "checked"; ?> value="no">No
     <br><br>
     Comment: <textarea name="comment" rows="5" cols="40"><?php echo $comment; ?></textarea>
     <br><br>
     <input type="submit" name="submit" value="Submit"> 
</form>
<?php          //This code displays error message or echoes the input if it is okay
     if ($errormsg != "")  {
	     echo "<p style='color:red'>" . $errormsg . "</p>";
     }  elseif ($flag == true)  {             
         echo "Your name: " . $name;
	     echo "<br>";
         echo "Your vote: " . $vote;
         echo "<br>"; 
         echo "Your comment:" . $comment;
     }
?>  
</body>
</html>
